import React from 'react';
export interface CKEditorProps {
    value: string;
    onChange: (string: any) => any;
    config?: any;
}
export default class CKEditor extends React.Component<CKEditorProps> {
    editor: any;
    constructor(props: any);
    componentDidMount(): Promise<void>;
    shouldComponentUpdate(nextProps: any): boolean;
    render(): JSX.Element | null;
}
